:root {
  --bg: #0a0a0a;
  --card-bg: #fff;
  --text: #f0f0f0;
  --accent: #007aff;
  --transition: 0.4s cubic-bezier(0.16, 1, 0.3, 1);
    --f-ds01: drop-shadow(0 0 0.75rem #0064fa);
}




/* Backdrop */
.backdrop {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.4);
  z-index: 100;
  backdrop-filter: blur(8px);
  transition: opacity var(--transition);
  opacity: 0;
  visibility: hidden;
}

.backdrop.visible { opacity: 1; visibility: visible; }

.detail-container {
  position: fixed;
  z-index: 101;
  background: var(--card-bg);
  display: flex;
  flex-direction: column;
  overflow: hidden;
  transition: transform var(--transition), opacity var(--transition);
  filter: var(--f-ds01);
}

/* Modal Mode */
.detail-container.modal {
  width: 90%;
  max-width: 750px;
  width: 75vw;
  max-height: 80vh;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.9);
  opacity: 0;
  visibility: hidden;
  border-radius: 2rem;
}
.detail-container.modal.visible {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
  visibility: visible;
}


/* Detail Header */
/* .detail-header {
  height: 200px;
  padding: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  flex-shrink: 0;
}
*/
.detail-header h2 { 
  font-size: 2.2rem; margin: 0; text-align: center; color: #000; 
} 

.close-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  width: 56px;
  height: 32px;
  /* border-radius: 50%; */
  background: #000;
  border: none;
  color: white;
  cursor: pointer;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

/* Detail Content */
.detail-content {
  flex: 1;
  overflow-y: auto;
  padding: 30px;
  font-size: 1rem;
  line-height: 1.6;
}

.detail-content .list{
 margin: 4rem auto;
}


#detail-tagline {
  color: #fff;
  font-size: 1.5rem;
  margin-bottom: 30px;
}

/* .detail-placeholder {
  height: 800px;
  background: linear-gradient(rgba(255,255,255,0.05), transparent);
  margin-top: 40px;
  border-radius: 20px;
} */

.detail-content .cat{
color:#463cdc;
font-size: 1.75rem;
font-weight: 700;
padding: 2rem 0;
border-bottom: 1px solid #000;
margin: 0rem auto;
text-align: center;
letter-spacing: 0.1rem;
}

@media (max-width: 600px) {
  .detail-container.drawer { width: 100vw; }
  .detail-container.modal { height: 85vh; width: 95%; }
  /* .detail-header { height: auto; } */
  /* .detail-header h2 { font-size: 1.8rem; } */

.detail-content .cat{
color:#463cdc;
font-size: 1.3rem;
padding: 1.6rem 0;

letter-spacing: 0.05rem;
}

.detail-content{
    padding: 2rem;
}

.detail-content .list {
    margin: 2rem auto;
}


}
